@extends('admin.layout.master')

@section('title')
    Promocodes
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Promocodes</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-10"><h6 class="card-title">Promocodes</h6></div>
                            <div class="col-md-2">
                                <button class="btn btn-outline-dark w-100" type="button" data-bs-toggle="modal"
                                        data-bs-target="#AddPartners">Add Promocodes
                                </button>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Discount</th>
                                    <th>Created At</th>
                                    <th>Delete</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($promocodes as $t=>$promocode)
                                    <tr>
                                        <td>{{ $t+1 }}</td>
                                        <td>{{ $promocode->name }}</td>
                                        <td>{{ $promocode->discount }}%</td>
                                        <td>{{ Carbon\Carbon::parse($promocode->created_at)->format('d-m-Y') }}</td>
                                        <td>
                                            <a onclick="return(confirm('Are you sure to delete this record permanently ?'))"
                                               href="{{ route('admin.deletepromocodes',[encrypt($promocode->id)]) }}"
                                               class="btn btn-outline-danger btn-icon">
                                                <i data-feather="trash"></i>
                                            </a>
                                        </td>
                                    </tr>

                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="AddPartners" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h5 class="modal-title text-white" id="exampleModalLabel">Add Promocodes</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="btn-close"></button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <form action="{{ route('admin.savepromocodes') }}" method="post"
                              enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label> Name </label>
                                        <input type="text" name="name" autocomplete="off"
                                               class="form-control MyInput"
                                               required="" placeholder="Name . . . ">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <label for="">Discount (%)</label>
                                    <input type="number" class="form-control mb-3 MyFileInput" autocomplete="off"
                                           name="discount" min="1" required placeholder="Discount (%)">
                                </div>
                                <div class="col-md-12 text-center">
                                    <button class="btn btn-dark" type="submit"> Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
