<?php

namespace App\Http\Controllers;

use App\Models\Banners;
use App\Models\PlatformFee;
use App\Models\Setting;
use Hash;
use Illuminate\Http\Request;
use Validator;

class SettingController extends Controller
{
    public function setting()
    {
        $system = Setting::findOrFail(1);
        return view('admin.setting', compact('system'));
    }

    public function updatesetting(Request $request)
    {
        $getData = Setting::first();
        if (isset($request->name)) {
            $getData->name = $request->name;
        }
        if (isset($request->phone)) {
            $getData->phone = $request->phone;
        }
        if (isset($request->email)) {
            $getData->email = $request->email;
        }
        if (isset($request->location)) {
            $getData->location = $request->location;
        }

        if ($request->hasFile('logo')) {
            $validator = Validator::make($request->all(), [
                'logo' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid Logo');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $getData->logo))) {

                \File::delete(public_path('admin/assets/uploads/' . $getData->logo));
            }

            $image = $request->file('logo');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $getData->logo = $image_new;
        }
        if ($request->hasFile('footerlogo')) {
            $validator = Validator::make($request->all(), [
                'footerlogo' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid footer logo');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $getData->footerlogo))) {

                \File::delete(public_path('admin/assets/uploads/' . $getData->footerlogo));
            }

            $image = $request->file('footerlogo');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $getData->footerlogo = $image_new;
        }
        if ($request->hasFile('favicon')) {
            $validator = Validator::make($request->all(), [
                'favicon' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid favicon');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $getData->favicon))) {

                \File::delete(public_path('admin/assets/uploads/' . $getData->favicon));
            }

            $image = $request->file('favicon');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $getData->favicon = $image_new;
        }
        $getData->save();
        return back()->with('success', 'Successfully Updated !');
    }

}
