@extends('admin.layout.master')

@section('title')
    Manage Availability
@endsection

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Manage Availability</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">Manage Availability</h6>
                        <form method="POST" action="{{ route('admin.updateavailability') }}"
                              enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                @forelse($availabilitys as $availability)
                                    <div class="col-md-3 mb-3">
                                        <input @if($availability->status==1) checked @endif type="checkbox"
                                               id="{{ $availability->time }}" value="1"
                                               name="availability[{{ $availability->id }}]">
                                        <label for="{{ $availability->time }}">{{ $availability->time }}</label>
                                    </div>
                                @empty
                                @endforelse
                            </div>
                            <div class="row">

                                <div class="col-md-4 mx-auto mt-3" style="text-align:center">

                                    <button type="submit" class="btn btn-outline-success"
                                            name="UpdateSystemInformation">Submit
                                    </button>

                                </div>

                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')

    <script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&key=AIzaSyABXn0Dg5Bkbn8UnQFbMaaqbAQBMAsivEc&libraries=places"></script>

    <script>
        google.maps.event.addDomListener(window, 'load', initialize);

        function initialize() {
            var input = document.getElementById('location');
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.addListener('place_changed', function () {
                var place = autocomplete.getPlace();
            });
        }
    </script>

@endsection
