@extends('admin.layout.master')

@section('title')
    Dashboard
@endsection

@section('content')

    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

    <div class="page-content">

        <div class="d-flex justify-content-between align-items-center flex-wrap grid-margin">
            <div>
                <h4 class="mb-3 mb-md-0">Welcome to {{ $website->name }}</h4>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.categories') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f5cfcf;">
                        <div class="card-body">
                            <h4 class="p-4">Total Categories ({{ $categories }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.products') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f0f5cf;">
                        <div class="card-body">
                            <h4 class="p-4">Total Products ({{ $products }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.contact_messages') }}" style="color:black">
                    <div class="card shadow" style="background-color: #cfecf5;">
                        <div class="card-body">
                            <h4 class="p-4">Active Bookings ({{ $active_orders }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.orders') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f2cff5;">
                        <div class="card-body">
                            <h4 class="p-4">Active Bookings ({{ $completed_orders }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.orders') }}" style="color:black">
                    <div class="card shadow" style="background-color: #efb3b3;">
                        <div class="card-body">
                            <h4 class="p-4">Rejects Bookings ({{ $rejected_orders }})</h4>
                        </div>
                    </div>
                </a>
            </div>
        </div>

        <br>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <h3 class="mb-3">Manage Availability</h3>
                        <form method="POST" action="{{ route('admin.updateavailability') }}"
                              enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                @forelse($availabilitys as $availability)
                                    <div class="col-md-3 mb-3">
                                        <input @if($availability->status==1) checked @endif type="checkbox"
                                               id="{{ $availability->time }}" value="1"
                                               name="availability[{{ $availability->id }}]">
                                        <label for="{{ $availability->time }}">{{ $availability->time }}</label>
                                    </div>
                                @empty
                                @endforelse
                            </div>
                            <div class="row">

                                <div class="col-md-4 mx-auto mt-3" style="text-align:center">

                                    <button type="submit" class="btn btn-outline-success"
                                            name="UpdateSystemInformation">Submit
                                    </button>

                                </div>

                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>
@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
