@extends('admin.layout.master')

@section('title')
    Order Details
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Order Details</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Order Details</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Price</th>
                                    <th>Quantity</th>
                                    <th>Total Price</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($order->order_details as $a=>$order_detail)
                                    <tr>
                                        <td>{{ $a+1 }}</td>
                                        <td>
                                            <a href="{{ url::asset('admin/assets/uploads/'.$order_detail->product->image) }}"
                                               target="_blank"><img
                                                        src="{{ url::asset('admin/assets/uploads/'.$order_detail->product->image) }}"
                                                        alt=""></a></td>
                                        <td>{{ $order_detail->product->name }}</td>
                                        <td>${{ number_format($order_detail->product->price,2) }}</td>
                                        <td>{{ $order_detail->quantity }}</td>
                                        <td>
                                            ${{ number_format(($order_detail->product->price*$order_detail->quantity),2) }}</td>
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>


    </div>

@endsection
@section('script')
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>
@endsection
