@extends('admin.layout.master')

@section('title')
    Order
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Order</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Active Order</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Date</th>
                                    <th>Time</th>
                                    <th>Message</th>
                                    <th>Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($active_orders as $a=>$active_order)
                                    <tr>
                                        <td>{{ $a+1 }}</td>
                                        <td>{{ $active_order->fname }} {{ $active_order->lname }}</td>
                                        <td>{{ $active_order->email }}</td>
                                        <td>{{ $active_order->phone }}</td>
                                        <td>{{ $active_order->date }}</td>
                                        <td>{{ $active_order->time }}</td>
                                        <td>
                                            <textarea cols="9">{{ $active_order->message }}</textarea>
                                        </td>
                                        <td>
                                            <select class="form-control" onchange="UpdateOrderStatus('{{ $active_order->id }}',this.value)">
                                                <option value="active" selected disabled>{{ $active_order->status }}</option>
                                                <option value="completed">Completed</option>
                                                <option value="rejected">rejected</option>
                                            </select>
                                        </td>
{{--                                        <td><a href="{{ route('admin.order_detail',[encrypt($active_order->id)]) }}"--}}
{{--                                               class="btn btn-info">Detail</a></td>--}}
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <hr>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Completed Order</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table class="table MyTable">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Date</th>
                                    <th>Time</th>
                                    <th>Message</th>
                                    <th>Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($completed_orders as $c=>$completed_order)
                                    <tr>
                                        <td>{{ $c+1 }}</td>
                                        <td>{{ $completed_order->fname }} {{ $completed_order->lname }}</td>
                                        <td>{{ $completed_order->email }}</td>
                                        <td>{{ $completed_order->phone }}</td>
                                        <td>{{ $completed_order->date }}</td>
                                        <td>{{ $completed_order->time }}</td>
                                        <td>
                                            <textarea cols="9">{{ $completed_order->message }}</textarea>
                                        </td>
                                        <td><a class="btn btn-success">{{ $completed_order->status }}</a></td>
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>

        <hr>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Rejected Order</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table class="table MyTable">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Date</th>
                                    <th>Time</th>
                                    <th>Message</th>
                                    <th>Status</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($rejected_orders as $r=>$rejected_order)
                                    <tr>
                                        <td>{{ $r+1 }}</td>
                                        <td>{{ $rejected_order->fname }} {{ $rejected_order->lname }}</td>
                                        <td>{{ $rejected_order->email }}</td>
                                        <td>{{ $rejected_order->phone }}</td>
                                        <td>{{ $rejected_order->date }}</td>
                                        <td>{{ $rejected_order->time }}</td>
                                        <td>
                                            <textarea cols="9">{{ $rejected_order->message }}</textarea>
                                        </td>
                                        <td><a class="btn btn-danger">{{ $rejected_order->status }}</a></td>
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

    <script>
        $(".MyTable").DataTable();
        function UpdateOrderStatus(id, value) {
            const url = `{{ route('admin.mark_as_complete', ['id' => ':id', 'value' => ':value']) }}`
                .replace(':id', id)
                .replace(':value', value);

            window.location.href = url;
        }

    </script>

@endsection
