<?php

use Illuminate\Support\Facades\Route;


Route::get('/clear', function () {

    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    Artisan::call('route:clear');

    return "Cleared!";

});
Route::get('/', [App\Http\Controllers\WebsiteController::class, 'home'])->name('/');
Route::get('home', [App\Http\Controllers\WebsiteController::class, 'home'])->name('home');
Route::get('contact', [App\Http\Controllers\WebsiteController::class, 'contact'])->name('contact');
Route::get('about', [App\Http\Controllers\WebsiteController::class, 'about'])->name('about');
Route::get('privacy', [App\Http\Controllers\WebsiteController::class, 'privacy'])->name('privacy');
Route::get('terms', [App\Http\Controllers\WebsiteController::class, 'terms'])->name('terms');
Route::get('faq', [App\Http\Controllers\WebsiteController::class, 'faq'])->name('faq');
Route::get('shop', [App\Http\Controllers\WebsiteController::class, 'shop'])->name('shop');
Route::get('details/{slug}', [App\Http\Controllers\WebsiteController::class, 'details'])->name('details');
Route::get('appointment', [App\Http\Controllers\WebsiteController::class, 'appointment'])->name('appointment');
Route::post('save_bookings', [App\Http\Controllers\WebsiteController::class, 'save_bookings'])->name('save_bookings');
Route::get('gettime', [App\Http\Controllers\WebsiteController::class, 'gettime'])->name('gettime');


Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

//    without login
    Route::match(['get', 'post'], '/login', [App\Http\Controllers\LoginController::class, 'adminLogin'])->name('login');

    Route::middleware(['admin-auth', 'user-access:admin'])->group(function () {

//    After Login
        Route::get('/', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('/');
        Route::get('/dashboard', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('dashboard');
        Route::get('/home', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('home');
        Route::post('/logout', [App\Http\Controllers\LoginController::class, 'logout'])->name('logout');

        // Admin Profile
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        // Application Setting
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');

        // Categories
        Route::get('/Categories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'categories'])->name('categories');
        Route::post('/savecategories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savecategories'])->name('savecategories');
        Route::post('/updatecategory', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'updatecategory'])->name('updatecategory');
        Route::get('/deletecategory/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletecategory'])->name('deletecategory');

        // products
        Route::get('/Products+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'products'])->name('products');
        Route::get('/Add+Products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'add_products'])->name('add_products');
        Route::post('/save_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_products'])->name('save_products');
        Route::post('/update_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'update_products'])->name('update_products');
        Route::get('/delete_product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product'])->name('delete_product');
        Route::get('/Edit+product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product'])->name('edit_product');
        Route::get('/Edit+product+Images/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product_images'])->name('edit_product_images');
        Route::post('/save_product_image', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_product_image'])->name('save_product_image');
        Route::get('/delete_product_image/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product_image'])->name('delete_product_image');

        // orders
        Route::get('/Orders+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'orders'])->name('orders');
        Route::get('/mark_as_complete/{id}/{value}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'mark_as_complete'])->name('mark_as_complete');
        Route::get('/Order+Detail/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'order_detail'])->name('order_detail');

        // contact_messages
        Route::get('/Contact+Messages', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'contact_messages'])->name('contact_messages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_contact_message'])->name('delete_contact_message');

        // Promocodes
        Route::get('/Promo+Codes', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'promocodes'])->name('promocodes');
        Route::post('/savepromocodes', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savepromocodes'])->name('savepromocodes');
        Route::get('/deletepromocodes/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletepromocodes'])->name('deletepromocodes');

        // Availability
        Route::get('/Availability', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'availability'])->name('availability');
        Route::post('/updateavailability', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'updateavailability'])->name('updateavailability');


    });
});